HomeGuidesAPI ReferenceChangelog
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Add/Edit NAT Map Rule

Sample data:
{"dir":"outbound","enable":true,"comment":"","gms_marked":false,"match":{"intf":"lan0","proto":"tcp","src_subnet":"10.16.112.0/24","dst_subnet":"10.16.55.0/24","dst_port":"2000-2009"},"set":{"trans_src":"1.1.1.0/24","trans_dst":"10.16.112.0/24","trans_dport":"120-129"}}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Branch NAT Map name eg: map1

number
required

Branch NAT Map Rule Priority number

Body Params

JSON object containing Branch NAT Map Rule data

string
string

Traffic direction to perform NAT on. Valid values are ['outbound', 'inbound']

boolean

For internal use. Flag to determine if this rule was created by Orchestrator

match
object

Object containing rules to match traffic

set
object

Object to hold NAT set actions

Response
200

No response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!